// Generated with Blu Age version 201912
package planets.planetsinq.business.context;
import com.netfective.bluage.gapwalk.datasimplifier.configuration.Configuration;
import com.netfective.bluage.gapwalk.datasimplifier.entity.RangeReference;
import com.netfective.bluage.gapwalk.datasimplifier.entity.RecordEntity;
import com.netfective.bluage.gapwalk.rt.jics.context.JicsRuntimeContext;
import java.util.Arrays;
import java.util.List;
import javax.annotation.Generated;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;
import planets.planetsinq.business.model.CommunicationArea;
import planets.planetsinq.business.model.Dfhaid;
import planets.planetsinq.business.model.Dfhcommarea;
import planets.planetsinq.business.model.Dfheiblk;
import planets.planetsinq.business.model.Formatted;
import planets.planetsinq.business.model.Group1;
import planets.planetsinq.business.model.PlanetsData;
import planets.planetsinq.business.model.Vars;

/**
 * Data simplifier context PlanetsinqContext.
 * 
 * <p>About 'onCode' field, <br>
 * </p>
 * 
 * <p>About 'onChar' field, <br>
 * </p>
 * 
 * <p>About 'planetsData' field, <br>uml entity: planets.planetsinq.business.model.PlanetsData
 * <br></p>
 * 
 * <p>About 'group1' field, <br>uml entity: planets.planetsinq.business.model.Group1
 * <br></p>
 * 
 * <p>About 'dfhaid' field, <br>uml entity: planets.planetsinq.business.model.Dfhaid
 * <br></p>
 * 
 * <p>About 'communicationArea' field, <br>uml entity: planets.planetsinq.business.model.CommunicationArea
 * <br></p>
 * 
 * <p>About 'vars' field, <br>uml entity: planets.planetsinq.business.model.Vars
 * <br></p>
 * 
 * <p>About 'formatted' field, <br>uml entity: planets.planetsinq.business.model.Formatted
 * <br></p>
 * 
 * <p>About 'dfheiblk' field, <br>uml entity: planets.planetsinq.business.model.Dfheiblk
 * <br></p>
 * 
 * <p>About 'dfhcommarea' field, <br>uml entity: planets.planetsinq.business.model.Dfhcommarea
 * <br></p>
 * 
 */
@Generated(value = "Generated by Bluage version 201912", date="2 mai 2022 18:55:39")
@Component("planets.planetsinq.business.context.PlanetsinqContext")
@Lazy

public class PlanetsinqContext extends JicsRuntimeContext {
	
	private PlanetsData planetsData;
	private Group1 group1;
	private Dfhaid dfhaid;
	private CommunicationArea communicationArea;
	private Vars vars;
	private Formatted formatted;
	private Dfheiblk dfheiblk;
	private Dfhcommarea dfhcommarea;

	private List<RecordEntity> recordEntities;

	/**
	 * Default constructor.
	 * @param configuration the datasimplifier configuration
	 */
	public PlanetsinqContext (@Qualifier("PlanetsinqContextConfiguration") Configuration configuration) {
		super(configuration);
		initWorking(configuration);
		initLinkage(configuration);
		initRecordEntities();
	}
	
	

	/**
	 * Getter for planetsData.
	 * @return the planetsData
	 */
	public PlanetsData getPlanetsData() {
		return this.planetsData;
	}

	/**
	 * Setter for planetsData.
	 * @param reference the new value for planetsData
	 */
	public void setPlanetsData(RangeReference reference) {
		this.planetsData.setBytes(reference.getBytes());
	}

	/**
	 * Getter for group1.
	 * @return the group1
	 */
	public Group1 getGroup1() {
		return this.group1;
	}

	/**
	 * Setter for group1.
	 * @param reference the new value for group1
	 */
	public void setGroup1(RangeReference reference) {
		this.group1.setBytes(reference.getBytes());
	}

	/**
	 * Getter for dfhaid.
	 * @return the dfhaid
	 */
	public Dfhaid getDfhaid() {
		return this.dfhaid;
	}

	/**
	 * Setter for dfhaid.
	 * @param reference the new value for dfhaid
	 */
	public void setDfhaid(RangeReference reference) {
		this.dfhaid.setBytes(reference.getBytes());
	}

	/**
	 * Getter for communicationArea.
	 * @return the communicationArea
	 */
	public CommunicationArea getCommunicationArea() {
		return this.communicationArea;
	}

	/**
	 * Setter for communicationArea.
	 * @param reference the new value for communicationArea
	 */
	public void setCommunicationArea(RangeReference reference) {
		this.communicationArea.setBytes(reference.getBytes());
	}

	/**
	 * Getter for vars.
	 * @return the vars
	 */
	public Vars getVars() {
		return this.vars;
	}

	/**
	 * Setter for vars.
	 * @param reference the new value for vars
	 */
	public void setVars(RangeReference reference) {
		this.vars.setBytes(reference.getBytes());
	}

	/**
	 * Getter for formatted.
	 * @return the formatted
	 */
	public Formatted getFormatted() {
		return this.formatted;
	}

	/**
	 * Setter for formatted.
	 * @param reference the new value for formatted
	 */
	public void setFormatted(RangeReference reference) {
		this.formatted.setBytes(reference.getBytes());
	}

	/**
	 * Getter for dfheiblk.
	 * @return the dfheiblk
	 */
	public Dfheiblk getDfheiblk() {
		return this.dfheiblk;
	}

	/**
	 * Setter for dfheiblk.
	 * @param reference the new value for dfheiblk
	 */
	public void setDfheiblk(RangeReference reference) {
		this.dfheiblk.setBytes(reference.getBytes());
	}

	/**
	 * Getter for dfhcommarea.
	 * @return the dfhcommarea
	 */
	public Dfhcommarea getDfhcommarea() {
		return this.dfhcommarea;
	}

	/**
	 * Setter for dfhcommarea.
	 * @param reference the new value for dfhcommarea
	 */
	public void setDfhcommarea(RangeReference reference) {
		this.dfhcommarea.setBytes(reference.getBytes());
	}

	@Override 
	public void cleanUp(){
	}

	@Override
	protected void doReset() {
		cleanUp();
	    // reset the working
		recordEntities.stream().forEach(e -> e.reset());
	}

	
	private void initWorking(Configuration configuration) {
		planetsData = new PlanetsData(configuration);
		group1 = new Group1(configuration);
		dfhaid = new Dfhaid(configuration);
		communicationArea = new CommunicationArea(configuration);
		vars = new Vars(configuration);
		formatted = new Formatted(configuration);
	}
	
	private void initLinkage(Configuration configuration) {
		dfheiblk = new Dfheiblk(configuration);
		dfhcommarea = new Dfhcommarea(configuration);
	
	}

	private void initRecordEntities() {
		recordEntities = Arrays.asList(planetsData, group1, dfhaid, communicationArea, vars, formatted);
	}

	@Override
	public String toString(){
		StringBuilder toSB = new StringBuilder("\nPlanetsinqContext:\n");
		if(!this.recordEntities.isEmpty()){
			this.recordEntities.forEach(e -> toSB.append(e.getClass().getSimpleName()).append(" : [").append(e.toString()).append("]\n"));
		}
		toSB.append("Dfheiblk : [").append(dfheiblk.toString()).append("]\n");
		toSB.append("Dfhcommarea : [").append(dfhcommarea.toString()).append("]\n");
		return toSB.toString();
	}

}
