// Generated with Blu Age version 201912
package planets.dumpdata;

import com.netfective.bluage.gapwalk.bluesam.BluesamManager;
import com.netfective.bluage.gapwalk.io.shared.bluesam.BluesamManagerProvider;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Import;
import planets.SpringBootLauncher;
import planets.program.utils.SpringBootApplicationBanner;

@SpringBootConfiguration
@Import({
	com.netfective.bluage.gapwalk.rt.call.proxy.ExecutionControllerProxy.class,
	planets.dumpdata.business.context.DumpdataConfiguration.class,
	planets.dumpdata.business.context.DumpdataContext.class,
	planets.dumpdata.business.context.DumpdataDescription.class,
	planets.dumpdata.service.impl.DumpdataProcessImpl.class,
	planets.dumpdata.DumpdataProcessRunner.class
})
public class DumpdataSpringBootLauncher {

	public static ConfigurableApplicationContext runDumpdata() {
		Thread.currentThread().setContextClassLoader(DumpdataSpringBootLauncher.class.getClassLoader());
		return new SpringApplicationBuilder().web(WebApplicationType.NONE).sources(DumpdataSpringBootLauncher.class).parent(SpringBootLauncher.getCac()).profiles("Dumpdata").banner(new SpringBootApplicationBanner("dumpdata")).run();
	}

	@Bean(destroyMethod = "")
	public BluesamManager bluesamManager() {
		return BluesamManagerProvider.getBluesamManager();
	}
}
