// Generated with Blu Age version 201912

package planets.planetsinq;

import com.netfective.bluage.gapwalk.rt.call.ExecutionController;
import com.netfective.bluage.gapwalk.rt.call.ProgramRunner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;
import planets.planetsinq.business.context.PlanetsinqContext;
import planets.planetsinq.service.PlanetsinqProcess;

/**
 * Runner launching the "PLANETSINQ" program.
 */
@Component("planets.planetsinq.PlanetsinqProcessRunner")
@Lazy
public class PlanetsinqProcessRunner implements ProgramRunner {
	/**
	 * The execution controller.
	 */
	@Autowired
	private ExecutionController ctrl;
	
	/**
	 * Working context.
	 */
	@Autowired
	@Qualifier("planets.planetsinq.business.context.PlanetsinqContext")
	private PlanetsinqContext ctx;


	/**
	 * Service used by the program runner.
	 */
	@Autowired
	@Qualifier("planets.planetsinq.service.PlanetsinqProcess")
	private PlanetsinqProcess instancePlanetsinqProcess;
	
	@Override
	public void run() {
		instancePlanetsinqProcess.checkCommarea(ctx, ctrl);
	}
}
