// Generated with Blu Age version 201912
package planets.planetsinq.service;

import com.netfective.bluage.gapwalk.rt.call.ExecutionController;
import planets.planetsinq.business.context.PlanetsinqContext;

/**
 * Interface PlanetsinqProcess.
 * 
 * Defines application services for PlanetsinqProcess
 */
public interface PlanetsinqProcess {

	/**
	 * Process operation checkCommarea.
	 * 
	 * PROGRAM-ID.PLANETSINQ.
	 * 
	 * @param ctx 
	 * @param ctrl 
	 */
	void checkCommarea(final PlanetsinqContext ctx, final ExecutionController ctrl);

	/**
	 * Process operation checkCommarea1.
	 * 
	 * @param ctx 
	 * @param ctrl 
	 */
	void checkCommarea1(final PlanetsinqContext ctx, final ExecutionController ctrl);

	/**
	 * Process operation getInput.
	 * 
	 * @param ctx 
	 * @param ctrl 
	 */
	void getInput(final PlanetsinqContext ctx, final ExecutionController ctrl);

	/**
	 * Process operation sendInitMap.
	 * 
	 * @param ctx 
	 * @param ctrl 
	 */
	void sendInitMap(final PlanetsinqContext ctx, final ExecutionController ctrl);

	/**
	 * Process operation sendMapData.
	 * 
	 * @param ctx 
	 * @param ctrl 
	 */
	void sendMapData(final PlanetsinqContext ctx, final ExecutionController ctrl);

	/**
	 * Process operation searchPlanet.
	 * 
	 *  Search for a planet in the PLANETS data table
	 *  Input: SANITIZED (name to search for)
	 *  Output: FOUND (Y or N)
	 *  Output: IDX (if FOUND is 'Y')
	 * 
	 * @param ctx 
	 * @param ctrl 
	 */
	void searchPlanet(final PlanetsinqContext ctx, final ExecutionController ctrl);

}
