// Generated with Blu Age version 201912
package planets.program;

import com.netfective.bluage.gapwalk.rt.provider.ProgramContainer;
import java.util.Collections;
import java.util.Set;
import java.util.stream.Collectors;
import java.util.stream.Stream;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.stereotype.Component;
import planets.dumpdata.DumpdataSpringBootLauncher;

/**
 * Reference the spring application of program dumpdata.
 *  Provides an access to the contained program for the run unit.
 */
@Component
public class Dumpdata implements ProgramContainer {
	/**
	 * Unique identifiers for the contained program.
	 */
	private static final Set<String> programIdentifiers = Collections.unmodifiableSet(Stream.of("dumpdata").collect(Collectors.toSet()));

	/**
	 * Main program identifier for the contained program.
	 */
	private static final String programIdentifier = "dumpdata";
	/**
	 * {@inheritDoc}
	 */
	@Override
	public ConfigurableApplicationContext getSpringApplication() {
		return DumpdataSpringBootLauncher.runDumpdata();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Set<String> getProgramIdentifiers() {
		return programIdentifiers;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getProgramMainIdentifier() {
		return programIdentifier;
	}



}
