// Generated with Blu Age version 201912

package planets.dumpdata;

import com.netfective.bluage.gapwalk.rt.call.ExecutionController;
import com.netfective.bluage.gapwalk.rt.call.ProgramRunner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;
import planets.dumpdata.business.context.DumpdataContext;
import planets.dumpdata.service.DumpdataProcess;

/**
 * Runner launching the "dumpdata" program.
 */
@Component("planets.dumpdata.DumpdataProcessRunner")
@Lazy
public class DumpdataProcessRunner implements ProgramRunner {
	/**
	 * The execution controller.
	 */
	@Autowired
	private ExecutionController ctrl;
	
	/**
	 * Working context.
	 */
	@Autowired
	@Qualifier("planets.dumpdata.business.context.DumpdataContext")
	private DumpdataContext ctx;


	/**
	 * Service used by the program runner.
	 */
	@Autowired
	@Qualifier("planets.dumpdata.service.DumpdataProcess")
	private DumpdataProcess instanceDumpdataProcess;
	
	@Override
	public void run() {
		instanceDumpdataProcess.main(ctx, ctrl);
	}
}
