// Generated with Blu Age version 201912
package planets.planetsinq;

import com.netfective.bluage.gapwalk.bluesam.BluesamManager;
import com.netfective.bluage.gapwalk.io.shared.bluesam.BluesamManagerProvider;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Import;
import planets.SpringBootLauncher;
import planets.program.utils.SpringBootApplicationBanner;

@SpringBootConfiguration
@Import({
	com.netfective.bluage.gapwalk.rt.call.proxy.ExecutionControllerProxy.class,
	planets.planetsinq.business.context.PlanetsinqConfiguration.class,
	planets.planetsinq.business.context.PlanetsinqContext.class,
	planets.planetsinq.business.context.PlanetsinqDescription.class,
	planets.planetsinq.service.impl.PlanetsinqProcessImpl.class,
	planets.planetsinq.PlanetsinqProcessRunner.class
})
public class PlanetsinqSpringBootLauncher {

	public static ConfigurableApplicationContext runPlanetsinq() {
		Thread.currentThread().setContextClassLoader(PlanetsinqSpringBootLauncher.class.getClassLoader());
		return new SpringApplicationBuilder().web(WebApplicationType.NONE).sources(PlanetsinqSpringBootLauncher.class).parent(SpringBootLauncher.getCac()).profiles("Planetsinq").banner(new SpringBootApplicationBanner("PLANETSINQ")).run();
	}

	@Bean(destroyMethod = "")
	public BluesamManager bluesamManager() {
		return BluesamManagerProvider.getBluesamManager();
	}
}
