// Import
import com.netfective.bluage.gapwalk.rt.provider.ScriptRegistry
import com.netfective.bluage.gapwalk.rt.call.MainProgramRunner
import com.netfective.bluage.gapwalk.io.support.FileConfigurationUtils
import com.netfective.bluage.gapwalk.rt.job.support.DefaultJobContext
import com.netfective.bluage.gapwalk.rt.utils.GroovyUtils
import com.netfective.bluage.gapwalk.rt.io.support.FileConfiguration
import com.netfective.bluage.gapwalk.rt.shared.AbendException
import com.netfective.bluage.gapwalk.rt.call.exception.GroovyExecutionException
// Variables
mpr = applicationContext.getBean("com.netfective.bluage.gapwalk.rt.call.ExecutionController", MainProgramRunner.class)
TreeMap mapTransfo = [:]
Map params = ["MapTransfo":mapTransfo]
// Execute job with utility functions
Binding binding = new Binding()
binding.setVariable("jobContext", jobContext)
def shell = new GroovyShell(binding).parse(ScriptRegistry.getScript("functions"))
//*********************************************************************
//*                             JOB                                   *
//*********************************************************************
shell.with {
   def jobName = "START"
   displayStartJob(jobName)
   Map programResults = [:]
   def lastProgramResult
   //
   //**********************************************************
   //
   // JOB TITLE:  START DUMP BATCH
   //
   //**********************************************************
   //
   lastProgramResult = stepSTEP0001(shell, params, programResults)
   displayEndJob(jobName)
   return programResults.get("GroovyExecutionResult")
}
//*********************************************************************
//*                            STEPS                                  *
//*********************************************************************
// STEP STEP0001 - PGM - DUMPDATA*************************************************
def stepSTEP0001(Object shell, Map params, Map programResults){
   shell.with {
      if (checkValidProgramResults(programResults)) {
         return execStep("STEP0001", "DUMPDATA", programResults, {
            mpr
               .withParameters(params)
               .runProgram("DUMPDATA")
            })
      }
   }
}
